Questions about various versions of Microsoft .Net Framework, for Windows XP

I have a WindowsXP high priority update that keeps failing for Microsoft .Net Framework 1.1. Looking up the error, takes me to a microsoft page where they provide instructions for uninstalling both Framework 1.1 as well as Framework 2.0. Yet I've also got Framework 3.0, 3.5 SP1 and 4.0 on this machine. I backed up the registry "'just in case" and then started to uninstall. The Framework 1.1 gave me an error but apparently uninstalled. Framework 2.0 refused to uninstall because it's in use by other programs, but when I rebooted it apparently did uninstall. It is no longer listed in Add/Remove Programs. But I've still got Framework 2.0 Service Pack 2. I haven't attempted to do anything with that, or Framework 3, 3.5 SP1 or Framework 4. I'm not sure now if I should proceed with reinstalling Framework 1.1, or follow a different KB for uninstalling/re-installing Framework 2.0 service pack 2. Or maybe just bite the bullet and update to Windows 7 which will magically make all my Windows problems go away. (yea right). I'll have to upgrade within a month anyway, so I'm actually inclined to go with Windows 7, unless these issues must be resolved first. Suggestions?
1 answer Last reply
More about questions versions microsoft net framework windows
  1. Unless programs specifically are looking for a specific .net version, you only need the latest one. Uninstall all of them, install only the latest one and see how things run.
Ask a new question

Read More

Framework Apps Microsoft Windows XP